commit:     9ad8bf66e15893f469fe282af8f742bcde5b0248
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 18 21:44:13 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Nov 18 22:28:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ad8bf66

dev-python/django_polymorphic: Bump to 3.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django_polymorphic/Manifest             |  1 +
 .../django_polymorphic-3.1.ebuild                  | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/django_polymorphic/Manifest 
b/dev-python/django_polymorphic/Manifest
index 6077c841e5e5..25721477cab5 100644
--- a/dev-python/django_polymorphic/Manifest
+++ b/dev-python/django_polymorphic/Manifest
@@ -1 +1,2 @@
 DIST django_polymorphic-3.0.0.tar.gz 103298 BLAKE2B 
f68e53de329a8b922fdf8b6daa212422cca8a0dcb31407e4423e8245fe4200c3d2986ca1c9b46013fcc3ae42cedd9fff006db64ca068f8ebff1e19dca2b45aa1
 SHA512 
7c7030a622d265db2a6d67c327df3044c6598d36ba9d6433f27171f9c07b34dad7a466372e0f7baefc9d2c344b96a2ff9aa28add1fa131c3869d61e4a4c46222
+DIST django_polymorphic-3.1.tar.gz 104090 BLAKE2B 
de2a2b38f338a10198d00e70d1813e541bf627e2ba2f5e29f0844c9ec7034badba39c077a195fc8c2f71105f1b4e546b91218b95d2ac47020f0dc2e3a5b0baa8
 SHA512 
730f617009007f94e935870941fdd8973d0cd5995060afbd138622345de77fa48bf2afe037bfa2ad476cef0a31e90cab1eb55109c470ae815a98e1facfa8f125

diff --git a/dev-python/django_polymorphic/django_polymorphic-3.1.ebuild 
b/dev-python/django_polymorphic/django_polymorphic-3.1.ebuild
new file mode 100644
index 000000000000..be4ffffc92ae
--- /dev/null
+++ b/dev-python/django_polymorphic/django_polymorphic-3.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Seamless Polymorphic Inheritance for Django Models"
+HOMEPAGE="https://pypi.org/project/django-polymorphic/";
+SRC_URI="
+       
https://github.com/django-polymorphic/django-polymorphic/archive/v${PV}.tar.gz
+               -> ${P}.tar.gz"
+S="${WORKDIR}/${P//_/-}"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/django-2.1[$PYTHON_USEDEP]
+"
+
+DEPEND="
+       test? (
+               $(python_gen_impl_dep sqlite)
+               ${RDEPEND}
+               dev-python/dj-database-url[${PYTHON_USEDEP}]
+       )
+"
+
+python_test() {
+       "${EPYTHON}" runtests.py || die "Tests fail with ${EPYTHON}"
+}

Reply via email to